Summary: SPICE3 circuit simulator
Name: spice
Version: 3f4
Release: 4b
Copyright: Free for people friendly to the U.S.A.
Group: Applications/Engineering
Requires: readline >= 2.0
%define prefix /opt/spice
#%define prefix /usr/spice
Source: sunsite.unc.edu:/pub/Linux/apps/circuits/spice3f4.tar.gz
Patch0: spice3f4.newlnx.patch
Patch1: spice3f4.dirs.patch
Patch2: spice3f4.rdln.patch
Patch3: spice3f4.mklinux.patch
Patch4: spice3f4.newdirs.patch
Packager: Keisuke Fujii <fujiik@jlcuxf.kek.jp>

%description
SPICE is a general-purpose circuit simulation program for nonlinear
dc, nonlinear transient, and linear ac analyses.  Circuits may contain
resistors, capacitors, inductors, mutual inductors, independent
voltage and current sources, four types of dependent sources,
transmission lines, and the four most common semiconductor devices:
diodes, BJT's, JFET's, and MOSFET's.

This is Spice 3f4 patched to 3f5 and includes the new port patches for
Linux which include GNU Readline command-line editing and history file
support, as well as native Spice support for X11R6 and MFB.

%changelog
* Fri Jun 19 1998 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- Changed installation destination from /usr/spice to /opt/spice

* Fri Jan 23 1998 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- Added a mklinux patch to the version by Andrew Veliath <veliaa@rpi.edu>
- Changed prefix to %{prefix}.

%prep 
%setup -n spice3f4
%patch0 -p1
%ifnarch ppc
%patch1 -p1
%else
%patch4 -p1
%endif
%patch2 -p1
%ifarch ppc
%patch3 -p1
%endif
rm `find . -name "*.orig" -print`
cd conf
mv linux linux.ORIG
sed -e "s;/usr/spice;%{prefix};" \
        linux.ORIG > linux

%build
./util/build linux

%install
./util/build linux install
strip %{prefix}/bin/{spice3,help,nutmeg,sconvert,multidec,proc2mod}
cp -r examples %{prefix}/lib/spice
mkdir -p %{prefix}/man/{man1,man3,man5}
install -m 644 man/man1/spice.1 %{prefix}/man/man1
install -m 644 man/man1/nutmeg.1 %{prefix}/man/man1
install -m 644 man/man1/sconvert.1 %{prefix}/man/man1
install -m 644 man/man3/mfb.3 %{prefix}/man/man3
install -m 644 man/man5/mfbcap.5 %{prefix}/man/man5
cd %{prefix}/man/man1
ln -sf spice.1 spice3.1

%files
%doc readme readme.Linux notes/spice2
%dir %{prefix}/lib
%dir %{prefix}/bin
%dir %{prefix}/man
%dir %{prefix}/man/man1
%dir %{prefix}/man/man3
%dir %{prefix}/man/man5
%{prefix}/lib/helpdir
%{prefix}/lib/mfbcap
%{prefix}/lib/news
%{prefix}/lib/scripts
%{prefix}/lib/spice
%{prefix}/bin/spice3
%{prefix}/bin/help
%{prefix}/bin/nutmeg
%{prefix}/bin/sconvert
%{prefix}/bin/multidec
%{prefix}/bin/proc2mod
%{prefix}/man/man1/spice.1
%{prefix}/man/man1/spice3.1
%{prefix}/man/man1/nutmeg.1
%{prefix}/man/man1/sconvert.1
%{prefix}/man/man3/mfb.3
%{prefix}/man/man5/mfbcap.5
